Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1359333 - NPE while creating local temporary table with "set showplan on"
Summary: NPE while creating local temporary table with "set showplan on"
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Teiid
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: Van Halbert
QA Contact: Filip Elias
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-22 20:53 UTC by Lucie Fabrikova
Modified: 2016-07-23 17:59 UTC (History)
7 users (show)

Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-23 04:08:17 UTC
Type: Bug


Attachments (Terms of Use)
NPE stack trace (deleted)
2016-07-22 20:53 UTC, Lucie Fabrikova
no flags Details


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker TEIID-4349 Major Closed NPE while creating local temporary table with "set showplan on" 2018-03-19 22:21:00 UTC

Description Lucie Fabrikova 2016-07-22 20:53:21 UTC
Created attachment 1182954 [details]
NPE stack trace

Description of problem:
NPE is thrown while creating local temporary table if "set showplan on"/debug was previously set.

Version-Release number of selected component (if applicable):
driver jboss-dv-6.3.0.ER5-teiid-jdbc.jar

How reproducible:


Steps to Reproduce:
1. Connect to dynamic vdb temptab (no data roles defined)
- content of method m3() in class Teiid4324:
...
[71] ConnectionImpl ci = TeiidDriver.getInstance().connect("jdbc:teiid:temptab@mm://localhost:31000",props);
[72] ci.createStatement().execute("SET SHOWPLAN ON");
[73] ci.createStatement().execute("create local temporary table #abc ( a varchar )");
...
2. if line 72 executes query SET SHOWPLAN ON or SET SHOWPLAN DEBUG, on line 73 is thrown NPE
3. if line 72 is removed, no exception occurs

Actual results:


Expected results:


Additional info:
server log is unchanged during execution, application log is attached

Comment 4 Lucie Fabrikova 2016-07-22 21:10:20 UTC
Created jira TEIID-4349

Comment 5 Lucie Fabrikova 2016-07-23 04:04:57 UTC
The exception seems related only to my IDE eclipse, it didn't appear if I re-run code from command line.
I guess there is no bug then.

Comment 6 JBoss JIRA Server 2016-07-23 04:09:20 UTC
Lucie Fabrikova <lfabriko@redhat.com> updated the status of jira TEIID-4349 to Closed

Comment 7 JBoss JIRA Server 2016-07-23 17:58:58 UTC
Steven Hawkins <shawkins@redhat.com> updated the status of jira TEIID-4349 to Reopened

Comment 8 JBoss JIRA Server 2016-07-23 17:59:07 UTC
Steven Hawkins <shawkins@redhat.com> updated the status of jira TEIID-4349 to Closed


Note You need to log in before you can comment on or make changes to this bug.